IPFM(8)

NAME
ipfm - IP Flow Meter

SYNOPSIS
ipfm [-c config-file ][--config config-file ] [-h][--help] [-n][--nodaemon] [-p pid-file ][--pid pid-file ]

DESCRIPTION
ipfm is a bandwidth analysis tool. It counts how much data was send and received by specified hosts through an Internet link. ipfm is based on the libpcap (ftp://ftp.ee.lbl.gov/libpcap-0.4.tar.Z, see http://www.tcpdump.org/ for newer versions) and should be portable. ipfm is developed under Linux libc6 (Debian sid). It was reported to work under Linux libc5 (slackware) and libc6 (RedHat, SuSE), FreeBSD, OpenBSD, IRIX, Solaris, HP-UX and AIX. As we can't test new versions under these OSes, there might be problems. Please report them at ipfm@via.ecp.fr.

OPTIONS
Note that depending on the OS, long options may no be supported.

-c config-file, --config config-file
    config-file specifies an alternate configuration file to use. By default, /etc/ipfm.conf is used.

-n, --nodaemon
    does not run as a daemon

-h, --help
    displays an help message on standard output and exit

-p pid-file, --pid pid-file
    pid-file specifies an alternate pid file to use. By default, /var/run/ipfm.pid is used.

SIGNALS
ipfm reacts to certain signals.

SigHUP
    This causes ipfm to dump (and clear) its data tables in the log file (see ipfm.conf(8) ), close pcap descriptor, reload configuration file and restart.

SigTERM
    This causes ipfm to dump (and clear) its data tables in the log file (see ipfm.conf(8) ) and exit.

SigKILL
    This causes ipfm to exit.

SigINT (ctrl-c)
    This causes ipfm to exit after having dumped and cleared its buffers.

SigUSR1
    This causes ipfm to dump its data tables in the log file without exiting or clearing them.

SEE ALSO
ipfm.conf(8)

AUTHORS
Robert CHERAMY <tibob@via.ecp.fr>, Andres KRAPF <dae@via.ecp.fr>

IPFM home page can be found at http://www.via.ecp.fr/~tibob/ipfm/